Apache Tomcat 7.0.42

## org.apache.tomcat.util.bcel.util
Interface BCELComparator

    public interface BCELComparator

Used for BCEL comparison strategy

Since:
  5.2
Version:
  $Id: BCELComparator.java 1181133 2011-10-10 18:49:14Z markt $
Author:
  M. Dahm

Method Summary
`boolean` `equals(Object THIS, Object THAT)` Compare two objects and return what THIS.equals(THAT) should return
`int` `hashCode(Object THIS)` Return hashcode for THIS.hashCode()

Method Detail

### equals

    boolean equals(Object THIS,
                   Object THAT)

  Compare two objects and return what THIS.equals(THAT) should return

  Parameters:
    `THIS` -
    `THAT` -
  Returns:
    true if and only if THIS equals THAT

### hashCode

    int hashCode(Object THIS)

  Return hashcode for THIS.hashCode()

  Parameters:
    `THIS` -
  Returns:
    hashcode for THIS.hashCode()

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.